%define name rsnapshot
%define version 1.3.0
%define release %mkrel 3

Summary:        Local and remote filesystem snapshot utility
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        %{name}-%{version}.tar.gz
Patch0:		%{name}.patch
License:        GPL
Group:          Archiving/Backup
Url:            http://www.rsnapshot.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:	rsync
Requires:	rsync openssh-clients

%description
This is a remote backup program that uses rsync to take backup snapshots of
filesystems.  It uses hard links to save space on disk.
For more details see http://www.rsnapshot.org/.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%configure					
%make

%install
install -d $RPM_BUILD_ROOT/%{_bindir}
install -m 755 rsnapshot $RPM_BUILD_ROOT/%{_bindir}/rsnapshot
install -m 755 rsnapshot-diff $RPM_BUILD_ROOT/%{_bindir}/rsnapshot-diff
install -m 755 utils/rsnapreport.pl $RPM_BUILD_ROOT/%{_bindir}/rsnapreport.pl

install -d $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 rsnapshot.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

install -d $RPM_BUILD_ROOT/%{_sysconfdir}
install -m 644 rsnapshot.conf.default $RPM_BUILD_ROOT%{_sysconfdir}/rsnapshot.conf.default
install -m 600 rsnapshot.conf.default $RPM_BUILD_ROOT%{_sysconfdir}/rsnapshot.conf

perl -pi -e  's/^#// if /^#cmd_ssh/; s!/path/to/ssh!/usr/bin/ssh!; s!(snapshot_root\s*)/.snapshots/!\1/home/.snapshots/!; s!^#(link_dest\s*)0!${1}1!' $RPM_BUILD_ROOT%{_sysconfdir}/rsnapshot.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README INSTALL TODO
%doc docs/Upgrading_from_1.1 docs/HOWTOs/rsnapshot-HOWTO.en.html
%config %{_sysconfdir}/rsnapshot.conf.default
%config(noreplace) %{_sysconfdir}/rsnapshot.conf
%{_bindir}/rsnapshot
%{_bindir}/rsnapshot-diff
%{_bindir}/rsnapreport.pl
%{_mandir}/man1/rsnapshot.1*


%changelog
* Wed Jan 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.0-3mdv2008.1
+ Revision: 157029
- fix ssh path

* Tue Jan 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.0-2mdv2008.1
+ Revision: 146488
- enable ssh support
- enable link_dest support in rsync
- do snapshots in /home/.snapshots instead of /.snapshots/ (the odds're higher
  there's more space)
- fix %%clean so that it is --short-circuit aware
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 10 2007 Anne Nicolas <anne.nicolas@mandriva.com> 1.3.0-1mdv2008.1
+ Revision: 116960
- Fix build require
- Fix group name
- import rsnapshot


